Subject: bug#26861: [PATCH 28/31] licenses: Add EDL 1.0.

From: Ricardo Wurmus <[email-masked]>
Date: Wed, 10 May 2017 07:32:56 +0200

Leo Famulari <[email-masked]> writes:

> On Tue, May 09, 2017 at 11:28:45PM +0200, Ricardo Wurmus wrote:
>> * guix/licenses.scm (edl1.0): New variable.
>
>> +(define edl1.0
>> +  (license "EDL 1.0"
>> +           "http://directory.fsf.org/wiki/License:EDLv1.0"
>> +           "https://www.gnu.org/licenses/license-list#EDL"))
>
> Neither of these pages say about about the EDL. Is that expected?

Oh.  I should have checked this old commit before sending it…

> It seems similar to the 3-clause BSD license:
>
> https://eclipse.org/org/documents/edl-v10.php

I’ll change the URL in the license object to this one.  Thanks!

> Eclipse Distribution License - v 1.0
>
> Copyright (c) 2007, Eclipse Foundation, Inc. and its licensors.
>
> All rights reserved.
>
> Redistribution and use in source and binary forms, with or without
> modification, are permitted provided that the following conditions are
> met:
>
>     Redistributions of source code must retain the above copyright
>     notice, this list of conditions and the following disclaimer.
>     Redistributions in binary form must reproduce the above copyright
>     notice, this list of conditions and the following disclaimer in the
>     documentation and/or other materials provided with the distribution.
>     Neither the name of the Eclipse Foundation, Inc. nor the names of
>     its contributors may be used to endorse or promote products derived
>     from this software without specific prior written permission. 
>
> THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS
> IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
> TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
> PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER
> OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
> EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
> PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
> PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
> LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
> NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
> SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

Yes, it does sound like BSD-3.

-- 
Ricardo

GPG: BCA6 89B6 3655 3801 C3C6  2150 197A 5888 235F ACAC
https://elephly.net